Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456494 - banshee: ** ERROR **: file class.c: line 1641 (mono_class_setup_vtable_general): should not be reached
Summary: banshee: ** ERROR **: file class.c: line 1641 (mono_class_setup_vtable_genera...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: banshee
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 03:52 UTC by Rick Richardson
Modified: 2009-06-23 09:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-23 09:27:15 UTC


Attachments (Terms of Use)

Description Rick Richardson 2008-07-24 03:52:52 UTC
$ banshee-1 

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/banshee-1/Nereid.exe.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/banshee-1/Banshee.ThickClient.dll.mdb has incorrect version (expected
38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/banshee-1/Banshee.Services.dll.mdb has incorrect version (expected 38,
got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/banshee-1/Banshee.Core.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/banshee-1/Hyena.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has
incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll.mdb
has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: The class
System.Collections.Generic.SortedDictionary`2 could not be loaded, used in
/usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token
0x0100004e)
[Warn  22:49:43.236] DBus support could not be started. Disabling for this session.
[Info  22:49:43.253] Running Banshee 1.0.0

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/banshee-1/Hyena.Gui.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:22682): WARNING **: Symbol file
/usr/lib/mono/gac/Mono.Addins/0.3.0.0__0738eb9f132ed756/Mono.Addins.dll.mdb has
incorrect version (expected 38, got 39)
no implementation for interface method Banshee.Sources.ISource::get_Children()
in class Banshee.Library.LibrarySource
METHOD .ctor(string,string,int)
METHOD get_BaseDirectory()
METHOD DeleteTrack(DatabaseTrackInfo)
METHOD AddTrack(DatabaseTrackInfo)

** ERROR **: file class.c: line 1641 (mono_class_setup_vtable_general): should
not be reached
aborting...
Aborted (core dumped)

Comment 1 Nigel Jones 2008-07-25 05:17:49 UTC
Quick question, is this an update from an older version of banshee?

Comment 2 Rick Richardson 2008-07-25 05:29:46 UTC
No.  Fresh install on 07/13/09.  All updates applied.


Comment 3 Nigel Jones 2008-08-14 13:16:38 UTC
This package has now been orphaned, hopefully someone will be able to pick it up and resolve the reported bug soon.

Comment 4 Rick Richardson 2008-09-26 14:54:15 UTC
$ rpm -qa | grep banshee
banshee-1.2.1-2.fc9.i386

$ banshee-1 

** (/usr/lib/banshee-1/Nereid.exe:32272): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)
[Warn  09:50:00.085] DBus support could not be started. Disabling for this session.
[Info  09:50:00.099] Running Banshee 1.2.1
no implementation for interface method Banshee.Sources.ISource::get_Children() in class Banshee.Library.LibrarySource
METHOD .ctor(string,string,int)
METHOD get_BaseDirectory()
METHOD DeleteTrack(DatabaseTrackInfo)
METHOD AddTrack(DatabaseTrackInfo)
METHOD GetTrackIdForUri(string)
METHOD get_LibraryIds()

** ERROR **: file class.c: line 1641 (mono_class_setup_vtable_general): should not be reached
aborting...
Aborted (core dumped)

Comment 5 David Nielsen 2008-10-11 09:45:20 UTC
Can you try running banshee-1 --debug and attach the output?

Comment 6 Rick Richardson 2008-10-11 11:10:04 UTC
$ banshee-1 --debug
** Running Mono with --debug   **

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/banshee-1/Nereid.exe.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.ThickClient.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Services.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Core.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/banshee-1/Hyena.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)
[Warn  06:08:17.770] DBus support could not be started. Disabling for this session.
[Info  06:08:17.803] Running Banshee 1.2.1

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/banshee-1/Hyena.Gui.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Nereid.exe:7498): WARNING **: Symbol file /usr/lib/mono/gac/Mono.Addins/0.3.0.0__0738eb9f132ed756/Mono.Addins.dll.mdb has incorrect version (expected 38, got 39)
WARNING: Could not scan file: /usr/lib/banshee-1/Banshee.Core.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Backends/Banshee.GStreamer.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Backends/Banshee.Gnome.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Backends/Banshee.Hal.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Backends/Banshee.Unix.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.AudioCd.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.BooScript.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Bookmarks.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.CoverArt.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Daap.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Dap.Ipod.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Dap.MassStorage.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Dap.Mtp.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Dap.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.FileSystemQueue.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.InternetRadio.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Lastfm.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.MiniMode.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.MultimediaKeys.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.NotificationArea.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.NowPlaying.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.PlayQueue.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/Banshee.Podcasting.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/ipod-sharp-ui.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Extensions/ipod-sharp.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Banshee.Services.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Banshee.ThickClient.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Banshee.Widgets.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Halie.exe
WARNING: Could not scan file: /usr/lib/banshee-1/Hyena.Gui.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Hyena.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Lastfm.Gui.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Lastfm.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Migo.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Mono.Media.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Mtp.dll
WARNING: Could not scan file: /usr/lib/banshee-1/MusicBrainz.dll
WARNING: Could not scan file: /usr/lib/banshee-1/Nereid.exe
WARNING: Could not scan file: /usr/lib/banshee-1/gconf-schema-extractor.exe
no implementation for interface method Banshee.Sources.ISource::get_Children() in class Banshee.Library.LibrarySource
METHOD .ctor(string,string,int)
METHOD get_BaseDirectory()
METHOD DeleteTrack(DatabaseTrackInfo)
METHOD AddTrack(DatabaseTrackInfo)
METHOD GetTrackIdForUri(string)
METHOD get_LibraryIds()

** ERROR **: file class.c: line 1641 (mono_class_setup_vtable_general): should not be reached
aborting...
Aborted (core dumped)
$

Comment 7 David Nielsen 2008-10-11 14:57:54 UTC
I don't think this is a Fedora bug, so I have pushed your report upstream here:

http://bugzilla.gnome.org/show_bug.cgi?id=555910

Comment 8 Michel Alexandre Salim 2009-01-02 00:23:00 UTC
Easiest thing will be to update Fedora 9's banshee to the 1.4.x series. I'll do that as soon as the libipoddevice update is added to the buildroot.

Comment 9 Fedora Update System 2009-01-27 01:52:40 UTC
banshee-1.4.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update banshee'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1007

Comment 10 Rick Richardson 2009-01-27 02:37:57 UTC
$ rpm -qa | grep banshee
banshee-1.4.2-1.fc9.i386
banshee-musicbrainz-1.4.2-1.fc9.i386

$ banshee-1 

** (/usr/lib/banshee-1/Banshee.exe:28820): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)

Unhandled Exception: System.Exception: Unable to open the session message bus. ---> System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in <0x0003a> System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init (Int32 , IEqualityComparer`1 )
in <0x0000e> System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor ()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_Session ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_Session ()
in <0x0000a> Banshee.ServiceStack.DBusConnection:get_ApplicationInstanceAlreadyRunning ()
in <0x00031> Booter.Booter:Main ()
$

Comment 11 Rick Richardson 2009-01-27 02:44:10 UTC
$ banshee-1 --debug
** Running Mono with --debug   **

** (/usr/lib/banshee-1/Banshee.exe:28957): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.exe.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:28957): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Services.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:28957): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:28957): WARNING **: Symbol file /usr/lib/banshee-1/Hyena.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:28957): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Core.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:28957): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)

Unhandled Exception: System.Exception: Unable to open the session message bus. ---> System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in [0x0002a] (at /tmp/scratch/BUILD/mono-1.1.9.2/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:161) System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init (Int32 , IEqualityComparer`1 )
in [0x0000a] (at /tmp/scratch/BUILD/mono-1.1.9.2/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:109) System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor ()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_Session ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_Session ()
in <0x0000a> Banshee.ServiceStack.DBusConnection:get_ApplicationInstanceAlreadyRunning ()
in <0x00031> Booter.Booter:Main ()
$

Comment 12 Rick Richardson 2009-01-27 02:50:29 UTC
$ ps aux | grep dbus
dbus      2157  0.0  0.0   3708  1920 ?        Ss   Jan20   0:06 dbus-daemon --system
gdm       3779  0.0  0.0   3088   508 ?        S    Jan20   0:00 /usr/bin/dbus-launch --exit-with-session
rick      3925  0.0  0.0   3088   508 ?        S    Jan20   0:00 dbus-launch --sh-syntax --exit-with-session
rick      3926  0.0  0.0   3148  1052 ?        Ss   Jan20   0:00 /bin/dbus-daemon --fork --print-pid 7 --print-address 9 --session
rick     29321  0.0  0.0   5040   712 pts/2    S+   20:48   0:00 grep dbus

$ echo $DBUS_SESSION_BUS_ADDRESS 
unix:abstract=/tmp/dbus-YJ0YJvBzvd,guid=6498c78f955743ac373ccdad4976148c
$

Comment 13 Rick Richardson 2009-02-13 04:13:08 UTC
------- Comment #10 from Gabriel Burt  2009-02-13 03:09 UTC -------
Please file on Fedora's bugtracker.

Comment 14 Michel Alexandre Salim 2009-02-13 21:04:49 UTC
Looks like a problem with ndesk-dbus; I'll investigate further.

Comment 15 Michel Alexandre Salim 2009-02-14 15:15:21 UTC
It works fine on my Fedora 9 set-up, with a fresh Banshee database, with banshee-1.4.2-1.fc9.

Could you try on a fresh account? Alternatively, move ~/.gconf/apps/banshee-1 out of the way, killall gconfd-2, and try again. If I recall correctly, I have had to do that once in the past.

There's a newer test update, 1.4.2-3.fc9, available here:
https://admin.fedoraproject.org/updates/F9/FEDORA-2009-1539

that does not seem to have been synced up with the mirrors yet, so you can try downloading it directly. I doubt any of the changes between -1 and -3 would apply in your case, though.

I get the Ndesk exception but it does not seem fatal:

[Info  10:03:43.211] Running Banshee 1.4.2: [source-tarball (linux-gnu, i386) @ 
2009-01-23 16:16:54 EST]
[Info  10:03:50.732] All services are started 6.788244s
[Info  10:03:54.101] nereid Client Started
[Warn  10:03:54.997] Caught an exception - org.freedesktop.Hal.NoSuchProperty: N
o property volume.is_mounted on device with id /org/freedesktop/Hal/devices/plat
form_floppy_0_storage_platform_floppy (in `NDesk.DBus.Proxies')
  at IDeviceProxy.GetPropertyBoolean (System.String ) [0x00000] 
  at Hal.Device.GetPropertyBoolean (System.String key) [0x00000] 
  at Banshee.HalBackend.Volume.get_IsMounted () [0x00000] 
  at Banshee.HalBackend.Volume.CheckVolumeMounted (Banshee.HalBackend.Volume vol
ume) [0x00000] 
  at Banshee.HalBackend.Volume.Resolve (Banshee.HalBackend.BlockDevice parent, H
al.Manager manager, Hal.Device device) [0x00000] 
[Warn  10:03:57.582] Caught an exception - org.freedesktop.Hal.NoSuchProperty: N
o property volume.is_mounted on device with id /org/freedesktop/Hal/devices/plat
form_floppy_0_storage_platform_floppy (in `NDesk.DBus.Proxies')
  at IDeviceProxy.GetPropertyBoolean (System.String ) [0x00000] 
  at Hal.Device.GetPropertyBoolean (System.String key) [0x00000] 
  at Banshee.HalBackend.Volume.get_IsMounted () [0x00000] 
  at Banshee.HalBackend.Volume.CheckVolumeMounted (Banshee.HalBackend.Volume vol
ume) [0x00000] 
  at Banshee.HalBackend.Volume.Resolve (Banshee.HalBackend.BlockDevice parent, H
al.Manager manager, Hal.Device device) [0x00000] 
[Warn  10:03:58.582] Caught an exception - org.freedesktop.Hal.NoSuchProperty: N
o property volume.is_mounted on device with id /org/freedesktop/Hal/devices/plat
form_floppy_0_storage_platform_floppy (in `NDesk.DBus.Proxies')
  at IDeviceProxy.GetPropertyBoolean (System.String ) [0x00000] 
  at Hal.Device.GetPropertyBoolean (System.String key) [0x00000] 
  at Banshee.HalBackend.Volume.get_IsMounted () [0x00000] 
  at Banshee.HalBackend.Volume.CheckVolumeMounted (Banshee.HalBackend.Volume vol
ume) [0x00000] 
  at Banshee.HalBackend.Volume.Resolve (Banshee.HalBackend.BlockDevice parent, H
al.Manager manager, Hal.Device device) [0x00000]

Comment 16 Rick Richardson 2009-02-14 15:43:01 UTC
$ rm -rf ~/.gconf/apps/banshee-1
$ killall gconfd-2
$ banshee-1  --debug
** Running Mono with --debug   **

** (/usr/lib/banshee-1/Banshee.exe:20448): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.exe.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:20448): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Services.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:20448): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:20448): WARNING **: Symbol file /usr/lib/banshee-1/Hyena.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:20448): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Core.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:20448): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)

Unhandled Exception: System.Exception: Unable to open the session message bus. ---> System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in [0x0002a] (at /tmp/scratch/BUILD/mono-1.1.9.2/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:161) System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init (Int32 , IEqualityComparer`1 )
in [0x0000a] (at /tmp/scratch/BUILD/mono-1.1.9.2/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:109) System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor ()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_Session ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_Session ()
in <0x0000a> Banshee.ServiceStack.DBusConnection:get_ApplicationInstanceAlreadyRunning ()
in <0x00031> Booter.Booter:Main ()
$

Comment 17 Michel Alexandre Salim 2009-02-16 16:50:39 UTC
I'm curious -- where is your mono installation coming from? On my system:

$ rpm -q mono-core
mono-core-1.9.1-2.fc9.i386

whereas you seem to have mono 1.9.2.

(just noticed that, while I get an NDesk warning, it's a different one from yours. This is beginning to look more like an ndesk-dbus problem, or a problem with your Mono installation)

Comment 18 Rick Richardson 2009-02-16 17:01:31 UTC
All updates applied!

$  rpm -q mono-core
mono-core-1.9.1-2.fc9.i386

Comment 19 Rick Richardson 2009-02-16 17:04:50 UTC
Check here:

http://bugzilla.gnome.org/show_bug.cgi?id=555910

Comment 20 Rick Richardson 2009-02-16 17:12:47 UTC
$ root remove ndesk-bus
Removing:
 ndesk-dbus                i386       0.6.1a-2.fc9        installed       126 k
Removing for dependencies:
 banshee                   i386       1.4.2-1.fc9         installed       9.7 M
 banshee-musicbrainz       i386       1.4.2-1.fc9         installed        82 k
 ndesk-dbus-glib           i386       0.4.1-3.fc9         installed        11 k
 podsleuth                 i386       0.6.3-1.fc9         installed       109 k

$ root yum install banshee
  Installing     : ndesk-dbus                                               1/5 
  Installing     : ndesk-dbus-glib                                          2/5 
  Installing     : podsleuth                                                3/5 
  Installing     : banshee                                                  4/5 
  Installing     : banshee-musicbrainz                                      5/5 

Installed:
  banshee.i386 0:1.4.2-1.fc9                                                    

Dependency Installed:
  banshee-musicbrainz.i386 0:1.4.2-1.fc9     ndesk-dbus.i386 0:0.6.1a-2.fc9    
  ndesk-dbus-glib.i386 0:0.4.1-3.fc9         podsleuth.i386 0:0.6.3-1.fc9      

Complete!


$ banshee-1 --debug
** Running Mono with --debug   **

** (/usr/lib/banshee-1/Banshee.exe:2344): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.exe.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:2344): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Services.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:2344): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:2344): WARNING **: Symbol file /usr/lib/banshee-1/Hyena.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:2344): WARNING **: Symbol file /usr/lib/banshee-1/Banshee.Core.dll.mdb has incorrect version (expected 38, got 39)

** (/usr/lib/banshee-1/Banshee.exe:2344): WARNING **: The class System.Collections.Generic.SortedDictionary`2 could not be loaded, used in /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll (token 0x0100004e)

Unhandled Exception: System.Exception: Unable to open the session message bus. ---> System.NullReferenceException: Object reference not set to an instance of an object
in <0x00000> <unknown method>
in [0x0002a] (at /tmp/scratch/BUILD/mono-1.1.9.2/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:161) System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:Init (Int32 , IEqualityComparer`1 )
in [0x0000a] (at /tmp/scratch/BUILD/mono-1.1.9.2/mcs/class/corlib/System.Collections.Generic/Dictionary.cs:109) System.Collections.Generic.Dictionary`2[NDesk.DBus.MatchRule,System.Delegate]:.ctor ()
in <0x00084> NDesk.DBus.Connection:.ctor (System.String address)
in <0x00013> NDesk.DBus.Bus:.ctor (System.String address)
in <0x00061> NDesk.DBus.Bus:Open (System.String address)
in <0x00066> NDesk.DBus.Bus:get_Session ()--- End of inner exception stack trace ---

in <0x000b8> NDesk.DBus.Bus:get_Session ()
in <0x0000a> Banshee.ServiceStack.DBusConnection:get_ApplicationInstanceAlreadyRunning ()
in <0x00031> Booter.Booter:Main ()
$

Comment 21 Bug Zapper 2009-06-10 02:12:46 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.